import request from '@/utils/request'

// 查询圈子管理列表
export function listCircleManagementInfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.circleManagementInfo',
      _mt: 'list',
      ...query
    }
  })
}

// 查询圈子管理详细
export function getCircleManagementInfo(id) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.circleManagementInfo',
      _mt: 'get',
      id: id
    }
  })
}

// 新增圈子管理
export function addCircleManagementInfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.circleManagementInfo',
      _mt: 'add',
      circleManagementInfo: data
    }
  })
}

// 修改圈子管理
export function updateCircleManagementInfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.circleManagementInfo',
      _mt: 'update',
      circleManagementInfo: data
    }
  })
}

// 删除圈子管理
export function delCircleManagementInfo(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.circleManagementInfo',
      _mt: 'delete',
      id: id
    }
  })
}

// 导出圈子管理
export function exportCircleManagementInfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.circleManagementInfo',
      _mt: 'export',
      ...query
    }
  })
}
